# stl_uninitialized.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_uninitialized.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _STL_UNINITIALIZED_H

## Functions

- template<typename _InputIterator, typename _ForwardIterator, typename _Tp> _ForwardIterator __uninitialized_copy_a (_InputIterator __first, _InputIterator __last, _ForwardIterator __result, allocator< _Tp >)
- template<typename _InputIterator, typename _ForwardIterator, typename _Allocator> _ForwardIterator __uninitialized_copy_a (_InputIterator __first, _InputIterator __last, _ForwardIterator __result, _Allocator __alloc)
- template<typename _InputIterator, typename _ForwardIterator> _ForwardIterator __uninitialized_copy_aux (_InputIterator __first, _InputIterator __last, _ForwardIterator __result, __false_type)
- template<typename _InputIterator, typename _ForwardIterator> _ForwardIterator __uninitialized_copy_aux (_InputIterator __first, _InputIterator __last, _ForwardIterator __result, __true_type)
- template<typename _InputIterator1, typename _InputIterator2, typename _ForwardIterator, typename _Allocator> _ForwardIterator __uninitialized_copy_copy (_InputIterator1 __first1, _InputIterator1 __last1, _InputIterator2 __first2, _InputIterator2 __last2, _ForwardIterator __result, _Allocator __alloc)
- template<typename _InputIterator, typename _ForwardIterator, typename _Tp, typename _Allocator> void __uninitialized_copy_fill (_InputIterator __first1, _InputIterator __last1, _ForwardIterator __first2, _ForwardIterator __last2, const _Tp &__x, _Allocator __alloc)
- template<typename _ForwardIterator, typename _Tp, typename _Tp2> void __uninitialized_fill_a (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__x, allocator< _Tp2 >)
- template<typename _ForwardIterator, typename _Tp, typename _Allocator> void __uninitialized_fill_a (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__x, _Allocator __alloc)
- template<typename _ForwardIterator, typename _Tp> void __uninitialized_fill_aux (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__x, __false_type)
- template<typename _ForwardIterator, typename _Tp> void __uninitialized_fill_aux (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__x, __true_type)
- template<typename _ForwardIterator, typename _Tp, typename _InputIterator, typename _Allocator> _ForwardIterator __uninitialized_fill_copy (_ForwardIterator __result, _ForwardIterator __mid, const _Tp &__x, _InputIterator __first, _InputIterator __last, _Allocator __alloc)
- template<typename _ForwardIterator, typename _Size, typename _Tp, typename _Tp2> void __uninitialized_fill_n_a (_ForwardIterator __first, _Size __n, const _Tp &__x, allocator< _Tp2 >)
- template<typename _ForwardIterator, typename _Size, typename _Tp, typename _Allocator> void __uninitialized_fill_n_a (_ForwardIterator __first, _Size __n, const _Tp &__x, _Allocator __alloc)
- template<typename _ForwardIterator, typename _Size, typename _Tp> void __uninitialized_fill_n_aux (_ForwardIterator __first, _Size __n, const _Tp &__x, __false_type)
- template<typename _ForwardIterator, typename _Size, typename _Tp> void __uninitialized_fill_n_aux (_ForwardIterator __first, _Size __n, const _Tp &__x, __true_type)
- wchar_t * uninitialized_copy (const wchar_t *__first, const wchar_t *__last, wchar_t *__result)
- char * uninitialized_copy (const char *__first, const char *__last, char *__result)
- template<typename _InputIterator, typename _ForwardIterator> _ForwardIterator uninitialized_copy (_InputIterator __first, _InputIterator __last, _ForwardIterator __result)
- template<typename _ForwardIterator, typename _Tp> void uninitialized_fill (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__x)
- template<typename _ForwardIterator, typename _Size, typename _Tp> void uninitialized_fill_n (_ForwardIterator __first, _Size __n, const _Tp &__x)

## Function Documentation

_ForwardIterator std::uninitialized_copy | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | _ForwardIterator | __result
| ) | `[inline]`

Copies the range [first,last) into result.

Parameters:

  | first | An input iterator.
  | last | An input iterator.
  | result | An output iterator.

Returns:
  result + (first - last)

Like copy(), but does not require an initialized output range.

Definition at line 107 of file stl_uninitialized.h.

void std::uninitialized_fill | ( | _ForwardIterator | __first,
|  | _ForwardIterator | __last,
|  | const _Tp & | __x
| ) | `[inline]`

Copies the value x into the range [first,last).

Parameters:

  | first | An input iterator.
  | last | An input iterator.
  | x | The source value.

Returns:
  Nothing.

Like fill(), but does not require an initialized output range.

Definition at line 169 of file stl_uninitialized.h.

void std::uninitialized_fill_n | ( | _ForwardIterator | __first,
|  | _Size | __n,
|  | const _Tp & | __x
| ) | `[inline]`

Copies the value x into the range [first,first+n).

Parameters:

  | first | An input iterator.
  | n | The number of copies to make.
  | x | The source value.

Returns:
  Nothing.

Like fill_n(), but does not require an initialized output range.

Definition at line 214 of file stl_uninitialized.h.